# MediaContent - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.message.content.abstracts / MediaContent

# MediaContent

(common) `interface MediaContent : MessageContent` (source)

### Properties

(common)

#### media

`abstract val media: TelegramMediaFile`

### Functions

(common)

#### asInputMedia

`abstract fun asInputMedia(): InputMedia`

### Inheritors

(common)

#### AnimationContent

`data class AnimationContent : MediaContent, CaptionedInput`

(common)

#### AudioContent

`data class AudioContent : MediaContent, CaptionedInput`

(common)

#### DocumentContent

`data class DocumentContent : MediaContent, CaptionedInput`

(common)

#### MediaCollectionContent

`interface MediaCollectionContent<T : TelegramMediaFile> : MessageContent, MediaContent`

(common)

#### MediaGroupContent

`interface MediaGroupContent : MediaContent, CaptionedInput`

(common)

#### StickerContent

`data class StickerContent : MediaContent`

(common)

#### VideoNoteContent

`data class VideoNoteContent : MediaContent`

(common)

#### VoiceContent

`data class VoiceContent : MediaContent, CaptionedInput`